[Mesa-dev] new i965g pipe driver for Intel GEN6 (and later)

Daniel Vetter daniel at ffwll.ch
Wed Apr 17 01:26:51 PDT 2013

On Wed, Apr 17, 2013 at 07:25:12AM +1000, Dave Airlie wrote:
> >> Those are just ideas.  I'm open to discussion.
> >
> > The driver is disabled by default and needs to be enabled via
> > --with-gallium-drivers=i965.
> I think a warning + maybe something like
> --with-gallium-drivers=i965g-unofficial might work,
> the thing is distros should probably be using i915g at this point over
> i915, though it might warrant piglit fixing up, though the chromeos
> guys did a fair bit already.

Besides piglitting i915g properly we need to fix things up to keep gen2
working. So maybe mesa should start shipping with a i830_dri.so ->
i915_dri.so symlink and the ddx should start to ask for the i830 dri on

Back in the days when I didn't just have little, but provable zero clue
I've had some amusement around that on my i855gm trying to use i915g ;-)
Daniel Vetter
Software Engineer, Intel Corporation
+41 (0) 79 365 57 48 - http://blog.ffwll.ch

More information about the mesa-dev mailing list